Subject: [bug#50778] [PATCH] m4: Don't require courage on unsupported systems.

From: Efraim Flashner <[email-masked]>
Date: Mon, 18 Oct 2021 15:15:54 +0300

On Mon, Oct 18, 2021 at 10:43:54AM +0200, Ludovic Courtès wrote:
> Hello!
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > On Wed, Oct 13, 2021 at 11:00:16AM +0200, Ludovic Courtès wrote:
> 
> [...]
> 
> >> Yes, I’d rather mark i586-gnu as supported in m4/guix.m4 (it should have
> >> been the case long ago) and keep the error and ‘--with-courage’ flag.
> >> 
> >> WDYT?
> >
> > I'm OK with changing i586-gnu to supported in m4/guix.m4. However, part
> > of the plan was to make it so that we didn't have to have the
> > --with-courage flag when building for mips64el, and so we could remove
> > powerpc-linux so it would also say that it is unsupported but we
> > wouldn't need people to make special versions of the guix package so
> > they can try to build it. I can make it bigger and flashier, so it looks
> > more like
> 
> Ah!  So I think you’re asking that there be three levels:
> 
>   1. Fully supported (should include i586-gnu).
> 
>   2. “Half supported” or “in the works”, like mips64el-linux and
>      powerpc-linux: in that case, maybe just emit a warning with
>      AC_MSG_WARN?
> 
>   3. Unsupported: error asking users to pass ‘--with-courage’.
> 
> How does that sound?

I hadn't really planned on keeping the third category, but thinking
about it more it would make sense to keep it for architectures that we
don't even have bootstrap binaries for. Vagrant said he was able to
build the guix package for riscv64-linux, I think without even adding my
patches for adding the bootstrap binaries. By forcing people to pass
--with-courage it goes past "it doesn't really work" and all the way
into "really really unsupported"

So yes, I like the idea of the three levels.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted